:root {
	--bg-color: #000;
	--text-color: #fff;
	--text-orange: #ff912b;
	--basic-font: "Poppins";
}

html,
body {
	width: 100vw;
	min-width: 100vw;
}
html {
	scroll-behavior: smooth;
}

/* design eszközök kiemeléshez --- */
/* bold-ra neon kiemelés */

.highlight-glow {
  font-weight: 600;
  text-shadow:
    0 0 12px rgba(255, 255, 255, 0.489),
    0 0 32px rgba(255, 255, 255, 0.404);
  transition: text-shadow 0.8s cubic-bezier(0.22, 1, 0.36, 1);
}

.highlight-glow:has(a[href]:hover) {
  text-shadow:
    0 0 8px  rgba(255, 255, 255, 0.55),
    0 0 18px rgba(255, 255, 255, 0.65),
    0 0 42px rgba(255, 255, 255, 0.5),
    0 0 84px rgba(255, 255, 255, 0.35);
}

/* lila háttér */

.highlight-pill {
  background: rgba(255, 0, 245, 0.15);
  padding: 0.15em 0.4em;
  border-radius: 6px;
  font-weight: 600;
}

/* gradient kiemelés mint a h1-ek */

.highlight-gradient {
  background: linear-gradient(
		250.83deg,
		#ff8a00 12.13%,
		#8f00ff 68.23%,
		#2bbfff 79.04%
	);
  -webkit-background-clip: text;
	background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 600;
}

/* egyenes vonal bal oldalt - h1-et is balra kell igazítani */

.highlight-border {
 padding-left: 0.5em;
 border-left: 3px solid #7f2aff;
 font-weight: 600;
 }

/* egyenes vonal felül */

.highlight-border-top {
  position: relative;
  display: inline-block;
  font-weight: 600;
  padding-left: 0;
}

.highlight-border-top::before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -0.4em;
  width: 50px;
  height: 3px;
  background: linear-gradient(
    250.83deg,
    rgba(255, 159, 49, 0.643) 0%,
    rgba(237, 21, 237, 0.85) 40%,
    #8f00ff 100%
  );
  border-radius: 5px;
  box-shadow:
    0 0 6px  rgba(255, 159, 49, 0.643),  /* warm hint */
    0 0 12px rgba(237, 21, 237, 0.55),  /* pink core */
    0 0 20px rgba(143, 0, 255, 0.65);  /* purple spread */
}

.section-class {  
  scroll-margin-top: 170px; 
}

.reveal {
	opacity: 0;
	transform: translateY(40px);
	transition: opacity 0.8s ease, transform 0.8s ease;
	will-change: opacity, transform;
}

.reveal.is-visible {
	opacity: 1;
	transform: translateY(0);
}


.motto {
  position: relative;
  display: inline-block; 
  font-weight: bold;
	color: #fff;
  overflow: hidden; 
}

.motto::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: -100%;
  width: 100%;
  height: 4px;
  background: linear-gradient(
    90deg,
    transparent,
     rgb(255, 153, 0),
    transparent
  );
  transform: skewX(-20deg);
  pointer-events: none;
}

.motto.shine::after {
  animation: shine 1s forwards;
}

@keyframes shine {
  from { left: -100%; }
  to { left: 100%; }
}

footer a:hover {
  color: rgb(196, 196, 196);
}

.footer-title-link {
  color: inherit;
  text-decoration: none;
  transition: color 0.2s ease;
}
.footer-title-link:hover {
  color: #fff;
}

strong.highlight-glow a {
  color: inherit;
  text-decoration: none;
  transition: none;
}
/* --- design eszközök kiemeléshez */


.hero-title {
	min-height: 278px;
}

h1 {
	background: linear-gradient(
		250.83deg,
		#ff8a00 12.13%,
		#8f00ff 68.23%,
		#2bbfff 79.04%
	);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	font-size: 66px;
	line-height: normal;
	font-weight: 600;
	display: inline-block;
}

h2 {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 600;
	font-size: 36px;
	line-height: 133%;
	margin-bottom: 0px;
}

h3 {
	font-size: 22px;
	margin-bottom: 0px;
}

h4 {
	width: 100%;
	font-family: "Poppins";
	font-style: normal;
	font-weight: 400;
	font-size: 24px;
	line-height: 140%;
	text-align: center;
	margin: auto;
}


a {
	font-family: var(--basic-font);
	text-decoration: none;
	color: var(--text-orange);
}
.content-link a:hover {
    color: #ff6600;
}
a, #cookieConsent a {
    font-family: var(--basic-font);
    text-decoration: none;
    color: var(--text-orange);
}

.content-link a:hover,
#cookieConsent a:hover {
    color: #ff6600;
}


body {
	font-family: var(--basic-font);
	background-color: var(--bg-color);
	color: var(--text-color);
	margin: 0;
	overflow-x: hidden;
}

.cia-main {
	width: 100vw;
	height: 100%;
	position: relative;
	z-index: 15;
}

.icon-small {
	width: 110px;
}

.content {
	padding: 0 191px;
	width: calc(100vw - 400px);
}

.flex-row {
	display: flex;
	flex-direction: row;
}

.center-row {
	justify-content: center;
	text-align: center;
}

.center-row > .flex-column {
	width: fit-content;
	margin: 0 auto;
}


.flex-column {
	display: flex;
	flex-direction: column;
}

.logo img {
	width: 169px;
}



.hero-image img {
	width: 535px;
}

header {
	height: 110px;
	background-color: rgba(61, 61, 61, 0.25);
	backdrop-filter: blur(20px);
	-webkit-backdrop-filter: blur(20px);
	justify-content: space-between;
	position: fixed;
	width: 100vw;
	z-index: 10;
}

.cia-hero {
	height: 100vh;
	align-items: center;
	justify-content: space-between;
	margin: auto;
	position: relative;
}

.cia-hero .flex-row {
	width: 1223px;
	margin: auto;
}

.hero-title,
.hero-subtitle {
	width: 604px;
}

h1.title {
	text-align: center;
	align-self: center;
	height: auto;
	line-height: 133%;
}

h1.megoldas {
	margin: auto;
	margin-bottom: 63px;
}

h5.sub-text {
	width: 626.79px;
	font-style: normal;
	font-weight: 400;
	font-size: 20px;
	line-height: 133%;
	text-align: center;
	margin: auto;
}

.megoldasok-list {
	width: 960px;
	margin: auto;
}

.megoldasok-list .flex-row {
	margin-top: 150px;
	justify-content: space-between;
	align-items: center;
}

.szolgaltatasok-container .flex-row {
	justify-content: space-between;
	align-items: center;
}

.szolgaltatasok-container {
	width: 1100px;
	margin: auto;
}

h1.title.szolgaltatas {
	margin: auto;
	margin-bottom: 61px;
}

#megoldasaink {
	padding-bottom: 190px; /* szolgáltatásaink és a megoldások blokk közötti space */
	position: relative;
	height: 100%;
}

.szolgaltatasok-container .flex-row > .flex-column {
	width: 500px;
	align-items: center;
	margin-top: 61px;
}

.szolgaltatasok-container .flex-column .flex-column {
	align-items: center;
}

.background-blur {
	position: fixed;
	top: 0;
    width: 100%;
    height: 100%;
	backdrop-filter: blur(150px);
	-webkit-backdrop-filter: blur(150px);
	z-index: 2;
	background: #000000b0;
	/* background: #000000c2; */
}

.gradient-element {
	width: 380px;
	height: 420px;
	border-radius: 250px;
	display: block;
	position: absolute;
	will-change: transform;
}

.gradient-element.purple {
	background-color: #512162;
}

.gradient-element.purple2 {
	background-color: #3417da;
}

.gradient-element.blue {
	background-color: #090696;
}

.gradient-element.blue2 {
	background-color: #5974d7;
}

.gradient-element.pink {
	background-color: #ff00f5;
}

.gradient-element.pink2 {
	background-color: #860d68;
}

.gradient-element.orange {
	background-color: #ff4d00;
}

.gradient-element.lightblue {
	background-color: #00b8e1;
}

.gradient-element.lightblue2 {
	background-color: #4a788e;
}

.gradient-element.lightblue3 {
	background-color: #022e6f;
}

.gradient-element.green {
	background-color: #33c169;
}

.content.cia-hero .flex-row {
	position: relative;
	z-index: 3;
	align-items: center;
	justify-content: center;
}

.background-effect {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
}

.hero-left.flex-column,
.megoldasaink-content,
.hero-image,
.szolgaltatas-content {
    display: flex;
    flex-direction: column;
	position: relative;
	z-index: 4;
}

#szolgaltatasok {
	position: relative;
	height: 100%;
}

#megoldasaink .background-blur {
	background: #000000c4;
}

.search-container {
	width: calc(100% - 400px);
	height: 0;
	position: absolute;
	background: #0e0e0e;
	left: 0;
	top: 0;
	padding: 0 200px;
	padding-top: 110px;
	z-index: 5;
	opacity: 0;
	padding-bottom: 10px;
}

header .flex-column {
	width: 100%;
	align-items: flex-start;
}

header .flex-column > .flex-row {
	justify-content: space-between;
	width: 100%;
	position: relative;
	z-index: 9;
	align-items: center;
	height: 100%;
}

#search-results h1 {
	font-size: 17px;
	font-weight: 500;
	color: var(--text-color);
	background: transparent;
	background-clip: unset;
	-webkit-text-fill-color: inherit;
	width: auto;
	height: auto;
}


#search-results .flex-row {
	flex-direction: row;
	flex-wrap: nowrap;
	align-content: center;
	justify-content: flex-start;
	align-items: center;
}

#search-results .flex-row p {
	color: #6c6c6c;
	margin: 0 10px;
}


input#searchbar {
	font-size: 24px;
	background: transparent;
	outline: none;
	border: none;
	/* border-bottom: solid 2px #242424; */
	margin: 25px 0;
	padding: 10px 0;
	color: var(--text-color);
	font-family: "Poppins";
	font-weight: 100;
	width: 90%;
}

.input-container input,
textarea {
	background: rgb(148 163 217 / 10%);
	border: none;
	padding: 15px 20px;
	border-radius: 50px;
	outline: none;
	color: var(--text-color);
	width: calc(100% - 35px);
}

.message {
	flex: 2;
}

textarea {
	height: 250px;
	padding-top: 30px;
}

.input-container.flex-column {
	width: 31%;
}

.form {
	width: 80%;
	margin: auto;
}

.form .flex-row {
	align-items: center;
	justify-content: space-between;
	width: 98%;
}
.form-consent {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    text-align: left;
	color: #6c6c6c;
	margin-top: 30px;
	width: 98%;
}

.form-consent input {
    flex-shrink: 0;
}
.form-consent span {
    line-height: 1.4;
}


.button-contact {
	display: flex;
	padding: 15px 0px;
	width: 98%; 
	margin-top: 20px;
	margin-bottom: 50px;
	align-items: center;
	justify-content: center;
	}
.button-large {
	font-size: 30px;
	}

.input-container.flex-column {
	width: 31%;
}

h1.white {
	-webkit-text-fill-color: var(--text-color);
	text-align: center;
	height: auto;
}

.input-container.flex-column.company {
	margin-right: 34px;
}

.flex-row.second-row {
	align-items: flex-start;
	margin-top: 45px;
}

.flex-row.custom,
.flex-row.custom4 {
  display: flex;
  gap: 40px; 
  align-items: flex-start;
}

.flex-row.custom > li {
  flex: 1;          
  max-width: 33.333%;
}

.flex-row.custom li h4,
.flex-row.custom4 li h4 {
	font-size: 16px;

}
.flex-row.custom li p {
	font-size: 14px;

}

.flex-row.custom4 > li {
  flex: 1;          
  max-width: 25%;

}
.flex-row.custom4 li p {
	font-size: 14px;
	  text-align: left;

}



label {
	margin-bottom: 10px;
}

li.menu-item {
	margin-right: 50px;
	list-style: none;
}

ul.menu-list.flex-row {
	align-items: center;
	height: 81%;
}

.contact.content {
    display: flex;
    flex-direction: column;
	padding-top: 100px;
}

div#search-results {
	width: calc(100% - 236px);
    max-height: 400px;

}

div#search-results .flex-row {
	position: relative;
	width: 100%;
	justify-content: flex-start;
}

div#search-results .flex-row {
	border-bottom: solid 1px #1c1c1c;
}

div#search-results .flex-row:last-child {
	border: none;
}

#search-results a {
	color: #a3a3a3;
	font-size: 13px;
	text-transform: uppercase;
}

.menu-item {
	cursor: pointer;
}

.search-input img {
	width: 30px;
	height: 30px;
}

.search-input.flex-row {
	align-items: center;
	justify-content: space-between;
	width: 96%;
	display: none;
}

#close-icon {
	opacity: 0;
	cursor: pointer;
}

li.menu-item.language-selection {
	margin-right: 23px;
}

.sub-menu {
	display: none;
	opacity: 0;
	height: 0;
	position: absolute;
	width: 100%;
	left: 0;
	padding-top: 110px;
	background: #121212b5;
}

.submenu-content {
	padding: 1px 200px;
	background: #121212;
}

.submenu-content .menu-list {
	justify-content: flex-end;
}

.submenu-content .menu-list a {
	font-size: 14px;
	color: var(--text-color);
}

.menu-list,
.menu-list a {
	text-transform: uppercase;
}




#megoldasok-submenu,
#szolgaltatasok-submenu {
	opacity: 0;
	display: none;
}

/* site related */

.site .cia-hero .flex-row {
	justify-content: space-between;
}

.cia-main-site .content.cia-hero .flex-row {
	justify-content: space-between;
	width: 78%;
	padding-top: 110px;
}

h5.route {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 600;
	font-size: 20px;
	line-height: 108%;
	text-transform: uppercase;
	letter-spacing: -0.01em;
	margin: 0;

	display: flex;
	justify-content: flex-start;
	align-items: center;
	gap: 15px;
}

h5.route span {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 800;
	font-size: 15px;
	line-height: 108%;
	letter-spacing: -0.01em;

	background: linear-gradient(218.21deg, #ffa800 0%, #8f00ff 108.47%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
}

.small-title {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 400;
	font-size: 36px;
	line-height: 140%;
	text-align: center;
	width: 80%;
	margin: auto;
}


.small-title-2 {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 400;
	font-size: 24px;
	line-height: 140%;
	text-align: center;
	width: 80%;
	margin: auto;
	padding-top: 25px;
}



.flex.it-sec-icon-title {
    flex-direction: row;
    display: flex;
    gap: 25px;
    align-content: center;
    align-items: center;
    justify-content: center;
	margin-bottom: 25px;
}

.flex.it-sec-icon-title h2 {
    margin: 0;
}

.site-content ul {
	list-style-image: url("./img/list-icon-s.svg");
	/* list-style: none; */
}

.site-content ul li {
	font-family: "Poppins";
	font-style: normal;
	font-weight: 400;
	font-size: 24px;
	line-height: 140%;
	letter-spacing: -0.01em;
}

.site-content {
	margin: 200px 0;
	position: relative;
	display: block;
	overflow: hidden;
}

.small-title-container {
	margin: 0;
}
.small-title-container h1 {
    width: 100%;
    text-align: center;
}

.list {
	justify-content: space-evenly;
}

.list ul {

	width: calc(40% - 50px);
}

.list ul li {
	margin-top: 30px;
	padding-left: 10px;
}


.site-content h1 {
	font-size: 38px;
	text-align: center;
}
.site-content.site-content-small h1,
.site-content.site-content-small-last h1 {
	width: 100%;
    text-align: center;
}

.button-container {
	padding: 10px 50px;
	border-radius: 44px;
	background: rgb(255, 228, 131);
	background: linear-gradient(
		243deg,
		rgba(255, 228, 131, 1) 0%,
		rgba(255, 122, 0, 1) 100%
	);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	z-index: 3;
	position: relative;
	width: 60px;
	margin: 50px 0;
}


.button-container.msg {
	width: 100px;
	margin: 100px auto;
}


button {
	width: calc(100% + 4px);
	background: rgb(255, 228, 131);
	background: linear-gradient(
		243deg,
		rgba(255, 228, 131, 1) 0%,
		rgba(255, 122, 0, 1) 100%
	);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	font-family: "Poppins";
	font-style: normal;
	font-weight: 500;
	font-size: 20px;
	line-height: 0%;
	text-transform: capitalize;
	position: absolute;
	left: 0;
	height: calc(100% + 4px);
	content: "";
	top: -2px;
	left: -2px;
	border-radius: 45px;
	z-index: 2;
	border: none;
	cursor: pointer;
}



.button-bg {
	width: calc(100% - 4px);
	height: calc(100% - 4px);
	background-color: #000;
	position: absolute;
	left: 2px;
	top: 0px;
	border-radius: 45px;
}

.button-container,
button:hover
 {
    background: linear-gradient(
        243deg,
        rgba(255, 200, 50, 1) 0%,   /* világosabb sárga */
        rgba(255, 80, 0, 1) 100%     /* élénk narancs */
    );
	background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: background 0.3s ease;  /* szép átmenet */
}



.form {
	display: flex;
	flex-direction: column;
	align-content: flex-end;
	align-items: flex-end;
}

h5.route.flex-row {
	margin: 0;
	padding: 0 !important;
	justify-content: flex-start;
	align-items: center;
	gap: 15px;
}

.site-content + .button-container.msg {
	margin: 50px auto;
}

.cia-main-site .cia-hero img {
	width: 238px;
}

.list li > h4 {
	text-align: left;
	padding: 0;
	margin: 0;
}

.list li > p {
	font-size: 18px;
	color: #858585;
}

.grey {
	color: #c2c2c2;
}

div#search-results > div {
	overflow-y: auto;
	max-height: 30vh;
}

.virtualizacio-hero,
.halozatfelugyelet-hero {
	width: 75%;
}

.cia-main .cia-hero .hero-subtitle {
	text-align: left;
}

.cia-main .cia-hero > .flex-row {
	gap: 80px;
}

footer {
	margin-top: 100px;

}

footer.content .flex-row {
align-items: flex-start;
	justify-content: center;
	gap: 110px; /* oszlopok közti távolság */
	padding: 0;
	text-align: center;
    display: flex;
}
footer .flex-column {
	align-items: center;
	text-align: center;
}

footer .flex-row .flex-column {
	flex: 0 0 350px;
}


h3 {
	font-weight: 400;
	font-size: 24px;
}

footer ul {
	list-style: none;
	padding: 0;
	margin: 20px 0 0;
}

footer li {
	padding: 10px 0;
}
footer .logo {
	display: flex;
	justify-content: center;
}

li a {
	color: var(--text-color);
	cursor: pointer;
}

.copyright {
	flex-direction: column;
	flex-wrap: nowrap;
	align-content: center;
	align-items: center;
	justify-content: center;
	padding: 100px 0 50px 0;
}

.copyright p {
	color: rgb(41, 41, 41);
}

.contact.content h1,
.contact.content .form,
footer {
	position: relative;
	z-index: 2;
}

div.content {
	z-index: 2;
	position: relative;
}

.szolgaltatasok-container h3 {
	text-align: center;
}

.site-content > p {
	text-align: center;
	/* margin: 100px 0; */
}

.site-content-small {
	margin: 140px 0px;
}

.site-content-small-last {
	margin-bottom: 50px;
	margin-top:100px;
}

.margin-top-s {
	margin-top: 25px;
}

.margin-top-m {
	margin-top: 50px;
}

.margin-top-l {
	margin-top: 100px;
}

.margin-bottom-s {
	margin-bottom: 25px;
}

.margin-bottom-m {
	margin-bottom: 50px;
}

.margin-bottom-l {
	margin-bottom: 100px;
}

.menu-button {
	display: none;
}

.input-container-inner {
	position: relative;
}

.preferred-input input {
  display: none; 
}

.preferred-input label img {
  width: 25px;
  height: 25px;
  cursor: pointer;
}

.preferred-input input:checked + img {
  content: url("./img/checked.svg"); 
}

.preferred-input input {
	visibility: hidden;
	accent-color: #191527;
	cursor: pointer;
}

.preferred-input label {
	position: relative;
	cursor: pointer;
}

.preferred-input label img {
	position: absolute;
	top: -8px;
	left: 0;
	z-index: 4;
}

.preferred-input input:hover,
input:checked:hover {
	accent-color: #2b264f !important;
}

.preferred-input {
	position: absolute;
	right: 12px;
	top: 16px;
}

.preferred-tootltip {
	position: absolute;
	top: -60px;
	background: #4faaff;
	padding: 0px 20px;
	border-radius: 50px;
	right: -160px;
	opacity: 0;
}

.preferred-tootltip p {
	font-size: 11px;
}

.preferred-input:hover + .preferred-tootltip {
	opacity: 1;
}

.preferred-tootltip::after {
	content: "";
	background-image: url("./img/tootlip-triangle.svg");
	width: 30px;
	height: 30px;
	display: block;
	position: absolute;
	background-repeat: no-repeat;
	bottom: -27px;
	left: 23px;
}

.input-container.flex-column {
	position: relative;
}

.invalid {
	border: solid 1px rgb(255 145 43) !important;
}

.invalid-color {
	color:rgb(255 145 43) !important;
}

.only-mobile {
	display: none;
}

.list ul.flex-row {
	width: 100%;
}

/* label {
    position: absolute;
    top: 11px;
    left: 29px;
}

label:focus ~ label {
    top: 0;
} */

ul.custom,
ul.custom4 {
	list-style: none;
	position: relative;
}

.custom li,
.custom4 li {
	position: relative;
}

.custom li::before,
.custom4 li::before {
	position: absolute;
	top: -5px;
}

.custom li h4,
.custom4 li h4 {
	margin-left: 50px;
}




.efficient::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Efficiency.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.secure::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Secure.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.operation::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Operation.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.expertise::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Expertise.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.availability::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Availability.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.installation::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Installation.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.update::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Updates.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.security::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Security.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}



.trouble::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Trouble.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.scale::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Scale.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.collect::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Collect.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.analysis::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Analysis.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.alert::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Alert.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.compliance::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Compliance.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.security-measures::before {
	content: "";
	display: inline-block;
	background-image: url(./img/SecurityMeasures.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.cost::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Cost.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.access::before {
	content: "";
	display: inline-block;
	background-image: url(./img/access.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.deploy::before {
	content: "";
	display: inline-block;
	background-image: url(./img/deploy.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.management::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Management.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

li.custom::before {
	content: "";
	display: inline-block;
	background-image: url(./img/Custom.svg);
	width: 40px;
	height: 40px;
	background-size: cover;
}

.notification {
	padding: 5px 25px;
	width: 100%;
	border-radius: 50px;
	margin: 25px 0;
	display: none;
	opacity: 0;
}

.notification#error {
	color: #ff5757;
	background: #ff59593b;
}

.notification#success {
	color: #66ff57;
	background: #81ff593b;
}

.logo a {
	height: 100%;
	display: flex;
}

.notification {
	width: calc(100% - 50px);
}

.hero-title {
	line-height: 108%;
}

p.form-message {
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 0px;
    color: #ffffff7a;
    text-align: right;
    width: 60%;
}

#error + .flex-row {
    /* width: 60%; */
    justify-content: flex-end;
    align-items: center;
    margin-top: 30px;
}

p.mandatory-field {
    position: absolute;
    right: 0;
    font-size: 14px;
    font-weight: 400;
    bottom: -46px;
    color: #ff912b;
}


p.form-message {
    margin-right: 40px;
}

#consent:checked {
	content: url("img/checked.svg");
	background-color: black;
	width: 25px;color:black;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none;
}

#consent {
	content: url("img/unchecked.svg");
	background-color: black;
	width: 25px;color:black;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none;
}

.kiber-custom {
    justify-content: space-evenly;
	padding: 0;
}

.kiber-custom li {
    width: 28%;
	overflow: hidden;
}

.kiber-custom h4 {
	width: 87%;
}


/*sütiformák :) */

/* ===== COOKIE CONSENT CONTAINER ===== */

#cookieConsent {
    position: fixed;
    bottom: 10px;

    left: 50%;
    transform: translateX(-50%);

    width: 90%;
    max-width: 650px; 

    background-color: rgba(61, 61, 61, 0.25);
	backdrop-filter: blur(20px);
    color: #fff;
    padding: 20px 25px;
    border-radius: 12px;
	text-align: center;

	border: 1px solid rgba(255,255,255,0.1); 
    box-shadow: 
        0 15px 40px rgba(0,0,0,0.4), 
        0 0 15px rgba(255,255,255,0.15), 
        inset 0 0 10px rgba(255,255,255,0.05); 

	opacity: 0; 
    transform: translate(-50%, 40px); 
    transition: opacity 0.8s ease, transform 0.8s ease;

	
    z-index: 1000;
}

#cookieConsent.is-visible {
    opacity: 1; 
    transform: translate(-50%, 0); 
}

#cookieConsent:hover {
    box-shadow: 
        0 15px 40px rgba(0,0,0,0.5),
        0 0 20px rgba(255,255,255,0.2),
        inset 0 0 15px rgba(255,255,255,0.08);
}

/* ===== CONTENT LAYOUT ===== */

.cookie-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.cookie-content p {
    margin: 0;
    line-height: 1.5;
    max-width: 650px;
}

/* ===== COOKIE BUTTON WRAPPER ===== */

.cookie-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    flex-wrap: wrap;
}


/* ===== RESET COOKIE BUTTONS ===== */

.cookie-buttons button {
    position: relative;
    width: auto;
    height: auto;
    left: auto;
    top: auto;
}
#cookieConsent button {
    background-clip: border-box;
    -webkit-background-clip: border-box;
    -webkit-text-fill-color: initial;
    color: #fff;
}

/* ===== CTA BASE ===== */

.cta-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    padding: 10px 24px;
    border-radius: 8px;
    border: none;
    cursor: pointer;

    font-weight: 600;
    font-size: 14px;

    color: #fff;
    transition: all 0.25s ease;
}

/* ACCEPT */
#acceptCookies {
    background: rgba(20, 20, 20, 0.7); /* sötét, enyhén áttetsző */
    color: #fff;
    font-weight: 600;
    border: 2px solid rgba(255, 138, 0, 0.5);
    border-radius: 12px;
    padding: 12px 24px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 8px rgba(255,138,0,0.5), 0 0 16px rgba(143,0,255,0.3);
    text-shadow: 0 0 4px rgba(255,255,255,0.4);
    transition: 0.3s ease, transform 0.2s ease, box-shadow 0.3s ease;
}
#acceptCookies:hover {
    transform: translateY(-2px);
    box-shadow: 0 0 12px rgba(255,138,0,0.7), 0 0 24px rgba(143,0,255,0.5);
    cursor: pointer;
}

/* DECLINE */
#declineCookies {
    background: rgba(20, 20, 20, 0.7);
    color: #fff;
    font-weight: 600;
    border: 2px solid rgba(255,43,43,0.5);
    border-radius: 12px;
    padding: 12px 24px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 8px rgba(255,43,43,0.5), 0 0 16px rgba(143,0,255,0.3);
    text-shadow: 0 0 4px rgba(255,255,255,0.4);
    transition: 0.3s ease, transform 0.2s ease, box-shadow 0.3s ease;
}
#declineCookies:hover {
    transform: translateY(-2px);
    box-shadow: 0 0 12px rgba(255,43,43,0.7), 0 0 24px rgba(143,0,255,0.5);
    cursor: pointer;
}

/* HOVER */
.cta-button:hover {
    transform: translateY(-2px);
    filter: brightness(1.1);
}

/* ===== ACTIVE STATE ===== */

.cta-button:active {
    transform: translateY(0);
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.4);
}

/* ===== LINK STYLE ===== */

.cookie-content a {
    color: #4da3ff;
    text-decoration: underline;
}

.cookie-content a:hover {
    color: #82c0ff;
}

.hidden {
    display: none !important;
}




@media screen and (min-device-width: 1200px) and (max-width: 1600px) {
	/* huge tablet */
	.content {
		padding: 0 20px;
		width: calc(100% - 40px);
	}

	.background-blur {
		width: 100%;
	}

	h4 {
		font-size: 20px;
	}

	.hero-image img {
		width: 100%;
		margin-top: 120px;
	}

	.cia-main .cia-hero > .flex-row {
		gap: 160px;
	}
}

@media screen and (min-device-width: 960px) and (max-width: 1199px) {
/* regular tablet */
	.content {
		padding: 0 20px;
		width: calc(100% - 40px);
	}

	.background-blur {
		width: 100%;
	}

	h1 {
		font-size: 60px;
	}

	h4 {
		font-size: 16px;
	}

	.hero-image img {
		width: 100%;
		margin-top: 120px;
	}

	.cia-main .cia-hero > .flex-row {
		gap: 30px;
	}

	.cia-hero .flex-row {
		width: 100%;
		margin: auto;
	}

	footer.content .flex-row {
		padding: 0 20px;
		gap: 80px;
	}
}

@media screen and (max-width: 959px) {
	/* Mobil */
	#cookieConsent {
    bottom: 0px;
	}

	#cookieConsent .cookie-content {
		display: block; 
	}
	.cookie-buttons {
		display: grid;
		gap: 20px;
		margin-top: 20px;
	}

	.flex-row {
		flex-direction: column;
		align-items: center;
	}
	.flex-column {
		align-items: center;
	}

	.content.cia-hero.flex-column > .flex-row {
		flex-direction: column-reverse;
		width: 100%;
		padding-top: 110px;
	}

	.content {
		padding: 0px 25px;
		width: calc(100% - 50px);
	}

	.hero-image img {
		display: block;
		width: 80%;
		margin: auto;
	}

	.hero-title,
	.hero-subtitle {
		width: 90%;
		text-align: center;
		margin: 0;
	}


	.hero-title {
		height: auto;
		min-height: 150px;
		padding-top: 40px;
	}

	h1 {
		font-size: 30px;
		text-align: center;
	}
	.site-content h1 {
	font-size: 24px;
	text-align: center;
	}


	.cia-main .cia-hero .hero-subtitle {
		font-size: 14px;
		text-align: center;
	}

	body,
	html {
		overflow-x: clip;
	}

	.cia-main .cia-hero > .flex-row {
		gap: 15px;
	}

	/* .background-blur {
        background: #00000059;
    } */

	h1.megoldas,
	h5.sub-text,
	h1.title.szolgaltatas,
	.szolgaltatasok-container,
	.szolgaltatasok-container .flex-row > .flex-column {
		width: auto;
	}

	h1.title.szolgaltatas {
		margin-top: 60px;
		margin-bottom: 60px;
	}

	h5.sub-text {
		font-size: 12px;
		font-weight: 400;
	}

	.flex-colum.megoldasok-list {
		width: auto;
	}

	.flex-colum.megoldasok-list .flex-row {
		flex-direction: row;
	}

	.icon-medium {
		width: 34%;
	}

	.megoldasok-list h2,
	.szolgaltatasok-container h3 {
		font-size: 14px;
	}

	.megoldasok-list a,
	.szolgaltatasok-container a {
		font-size: 12px;
	}

	#megoldasaink {
		padding-bottom: 40px;
		padding-top: 40px;
	}
	.megoldasok-list .flex-row {
	margin-top: 50px;
	justify-content: space-between;
	align-items: center;
	}

	.input-container.flex-column,
	.form .flex-row {
		width: 100%;
	}


	.form {
		margin: 0;
		width: 100%;
	}

	footer.content .flex-row {
		gap: 0;
		padding: 0;
		align-items: center;
	}

	footer .flex-row .flex-column {
		flex: 0 0 280px;

	}

	.copyright {
    padding: 0;

}

	footer li {
		font-size: 12px;
	}

	.form-consent {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    cursor: pointer;
    text-align: left;
	margin-top: 30px;
	width: 100%;
	}



	.button-contact {
	padding: 10px 0px;
	width: 100% !important;
	}


	.logo img {
		width: 100px;
	}

	header.content.flex-row {
		background-color: transparent;
		padding: 0px 25px;
		width: calc(100% - 50px);
	}

	nav.main-menu {
		display: none;
		opacity: 0;
	}

	header .flex-column {
		height: 100%;
		align-items: center;
		justify-content: center;
	}

	img.menu-button {
		display: block;
		width: 30px;
	}

	header .flex-column > .flex-row {
		flex-direction: revert;
	}

	img.menu-button {
		display: block;
		width: 30px;
		z-index: 13;
	}

	header .flex-column > .flex-row {
		flex-direction: revert;
	}

	nav.main-menu {
		position: fixed;
		width: 100%;
		height: 100vh;
		top: 0;
		left: 0;
		background: #101010f2;
		/* display: flex; */
		flex-direction: column;
		flex-wrap: nowrap;
		align-content: center;
		justify-content: center;
	}

	ul.menu-list.flex-row {
		width: 100%;
		padding: 0;
		margin: 0;
		height: auto;
	}

	li.menu-item {
		width: 100%;
		margin: 0;
		text-align: center;
		font-size: 30px;
		font-weight: 300;
		padding: 6px 0px;
	}

	div#submenu {
		z-index: 12;
		background: transparent;
		height: 100vh !important;
		top: 0;
		padding: 0;
	}

	.submenu-content {
		padding: 0;
		background: transparent;
		height: 32%;
		bottom: 0;
		position: absolute;
		width: 100%;
	}

	#megoldasok-submenu,
	#szolgaltatasok-submenu {
		height: 100%;
	}

	div#submenu {
		background: #101010e0;
		position: absolute;
		z-index: 12;
	}

	img#mobile-menu-button {
		position: absolute;

		right: 10px;
		top: 22px;
		padding: 15px;
	}

	#mobile-back-button {
		opacity: 0;
		display: none;
	}

	.search-container {
		z-index: 12;
		padding: 0;
		position: fixed;
		width: calc(100% - 50px);
		top: 55px;
		padding: 0 25px;
		height: auto !important;
	}

	input#searchbar {
		height: 40px;
		width: 100%;
		font-weight: 400;
	}

	.search-input.flex-row {
		width: 100%;
		position: relative;
	}

	div#search-results {
		width: 100%;
		height: 100%;
		position: relative;
	}

	div#search-results .flex-row {
		flex-direction: column;
		flex-wrap: nowrap;
		align-content: flex-start;
		align-items: flex-start;
		justify-content: center;
		margin-top: 14px;
		padding-bottom: 15px;
	}

	div#search-results .flex-row p {
		margin: 0;
	}

	div#search-results > div {
		max-height: calc(100vh - 50px) !important;
	}

	.search-input.flex-row {
		display: block;
	}

	.menu-item img {
		position: fixed;
		top: 15px;
		z-index: 20;
		fill: #fff;
		color: #fff;
		padding: 25px;
		left: 0;
	}

	li.menu-item.language-selection {
		margin: 0;
		padding: 0;
	}

	li.menu-item.language-selection p {
		font-size: 17px;
	}

	ul.menu-list.flex-row {
		margin-top: -80px;
	}

	h5.route {
		margin-top: 85px;
	}

	h1#site-main-title {
		text-align: center;
	}

	h3 {
		font-size: 20px !important;
		text-align: justify;
	}

	.site-content {
		margin: 100px 0px;
	}

	.list ul li {
		font-size: 16px;
		width: 80%;
		text-align: center;
		margin-top: 10px;
	}
	.list.with-icons ul li {
		font-size: 16px;
		width: 85%;
		text-align: left;
		margin-top: 10px;
	}

	.list ul {
		width: 100%;
		margin-block-start: 0px;
		margin-block-end: 0px;
	}

	.flex-row.list {
    padding-top: 40px;
	padding-bottom: 40px;
	}


	.flex-row.custom,
	.flex-row.custom4 {
    align-items: center;
	width: 100%;
	}
	.flex-row.custom4 > li {
	flex: 1;          
	max-width: 33.333%;
	}
	.list ul.flex-row {
	width: 850px;
	}

	.site-content ul {
	list-style-position: inside;
	}

	h4 {
		margin: 0;
		width: 100%;
		font-size: 16px;
		text-align: justify;
	}

	.list li > h4 {
		font-size: 20px;
	}

	h3.small-title {
		text-align: justify;
		margin: 0;
		width: 100%;
	}

	.site-content > p {
		text-align: justify;
	}

	.site-content-small h1,
	.site-content-small-last h1  {
		text-align: justify;
	}

	.site-content-small-last {
	margin-bottom: 20px;
	margin-top:40px;
	}


	.margin-top-l {
		margin-top: 50px;
	}

	.margin-bottom-l {
		margin-bottom: 50px;
	}

	div#main {
		/* width: 100vw; */
		overflow: hidden;
	}

	img#mobile-back-button {
		padding: 20px;
		border: solid 1px;
		border-radius: 50px;
	}

	.preferred-input {
		position: relative;
		top: 0;
		left: 0;
		height: 30px;
		padding: 5px;
	}

	.preferred-input label {
		display: block;
		position: relative;
	}

	.preferred-input input {
		display: block;
		height: 25px;
	}

	.preferred-input input:checked {
		left: 0;
		top: 10px;
	}

	.preferred-input label img {
		top: 10px;
	}

	.preferred-tootltip {
		position: relative;
		display: block;
		opacity: 1;
		top: 5px;
		background: transparent;
		right: 0px;
	}

	.preferred-tootltip p {
		font-size: 12px;
		color: #545454;
	}

	.preferred-tootltip::after {
		display: none;
		right: 0;
	}

	.preferred-input {
		width: 30px;
		right: 0;
		float: right;
	}

	.only-mobile {
		display: block;
	}

	.hide-mobile {
		display: none;
	}

	.custom li::before,
	.custom4 li::before {
		position: absolute;
		top: -5px;
		left: -40px;
	}

	.list .kiber-custom li {
		padding-left: 80px;
	}

	.kiber-custom li::before {
        position: absolute;
        top: 0px;
        left: 30px;
    }

	.custom li h4,
	.custom4 li h4 {
		margin-left: 0px;
	}

	.cia-hero {
		height: auto;
		min-height: 100vh;
	}

	.flex.it-sec-icon-title h2 {
		font-size: 24px;
		font-weight: 400;
		text-align: left;
	}
	
	.flex.it-sec-icon-title img {
		width: 40px;
	}
}

@media screen and (max-width: 375px) {
	/* very small mobile */
	li.menu-item {
		font-size: 24px;
	}

	div#submenu {
		background: #101010;
	}

	div#megoldasok-submenu {
		top: -50px;
		position: relative;
	}
}
